
<!--Shows existing albums in array of objects-->
<p *ngIf="!loadingAlbums">Rendering Album Information</p>
<div *ngIf="loadingAlbums">
  <div class="transbox">
    <button (click)="showAlbums = !showAlbums">Show Information</button>
    <div *ngFor=" let album of albums let even = even; let odd = odd" [ngClass]="{ odd: odd, even: even } " class="card mb-3" style="">
      <div class="row no-gutters">
        <div class="col-md-4">
          <img src="{{album.cover}}" class="card-img" alt="..." height="300" width="100">
        </div>
        <div class="col-md-4" id="container">
          <div class="card-body"  id="albumsList">
            <h3 class="card-title" style="text-decoration: underline">{{album.title.toUpperCase()}}</h3>
            <p class="card-text">Artist: {{album.artist}}</p>
            <p *ngIf="showAlbums"  class="card-text">Songs: {{album.songs}}</p>
            <p *ngIf="showAlbums"  class="card-text">Favorite Song: {{album.favorite}}</p>
            <p *ngIf="showAlbums"  class="card-text">Release Date: {{album.year}}</p>
            <p *ngIf="showAlbums"  class="card-text">Album Genre: {{album.genre}}</p>
            <p *ngIf="showAlbums"  class="card-text">Units sold: {{album.units | number}}</p>
          </div>
        </div>
      </div>
    </div>
    <hr>
  </div>
</div>

<!--Add album button-->
<button (click)="showAlbumForm = !showAlbumForm" class="btn btn-dark mb-3">Add Album</button>
<div class="card card-body mb-3" *ngIf="showAlbumForm">
  <h2>Add Album</h2>
  <form #userForm="ngForm" (submit)="onSubmit(userForm)">
    <div class="form-group">
      <label>Title</label>
      <input type = "text" [(ngModel)]="album.title" class="form-control is-invalid" name="title" #albumTitle = "ngModel" required minlength="4">
      <div [hidden]="!albumTitle.errors?.required" class="invalid-feedback">
        Title Required
      </div>
    </div>
    <div class="form-group">
      <label>Artist</label>
      <input type = "text" [(ngModel)]="album.artist" class="form-control is-invalid" name="artist" #albumArtist = "ngModel" required minlength="3">
      <div [hidden]="!albumArtist.errors?.required" class="invalid-feedback">
        Artist Required
      </div>

    </div>

    <div class="form-group">
      <label>Songs</label>
      <input type = "text" [(ngModel)]="album.songs" class="form-control is-invalid" name="songs" #albumSongs = "ngModel" required [valueAsNumber]>
      <div [hidden]="!albumSongs.errors?.required" class="invalid-feedback">
        Songs Required
      </div>
    </div>

    <div class="form-group">
      <label>Favorite</label>
      <input type = "text" [(ngModel)]="album.favorite" class="form-control is-invalid" name="favorite" #albumFavorite = "ngModel" required [valueAsNumber]>
      <div [hidden]="!albumFavorite.errors?.required" class="invalid-feedback">
        Favorite(s) Required
      </div>

    </div>

    <div class="form-group">
      <label>Year</label>
      <input type = "text" [(ngModel)]="album.year" class="form-control is-invalid" name="year" #albumYear = "ngModel" required >
      <div [hidden]="!albumYear.errors?.required" class="invalid-feedback">
        Year Required
      </div>
    </div>

    <div class="form-group">
      <label>Genre</label>
      <input type = "text" [(ngModel)]="album.genre" class="form-control is-invalid" name="genre" #albumGenre = "ngModel" required >
      <div [hidden]="!albumGenre.errors?.required" class="invalid-feedback">
        Genre Required
      </div>
    </div>

    <div class="form-group">
      <label>Units Sold</label>
      <input type = "text" [(ngModel)]="album.units" class="form-control is-invalid" name="unitsSold" #albumUnits = "ngModel" required [valueAsNumber]>
      <div [hidden]="!albumUnits.errors?.required" class="invalid-feedback">
        Units Required
      </div>
    </div>
    <button [disabled]="!userForm.form.valid" class="btn btn-dark mb-3" (click)="onSubmit($event)">Submit</button>
  </form>
</div>

